package SQL.JavaDatenbanken;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;

public class Test {
	
	public static void main(String[] args) throws ClassNotFoundException, SQLException {

		// Lade den MySQL JDBC-Treiber
		Class.forName("com.mysql.cj.jdbc.Driver");

		// Verbindung zur MySQL-Datenbank herstellen
		Connection con = DriverManager.getConnection("jdbc:mysql://localhost:3306/test", "root", "");

		if (con == null) {
			System.out.println("keine Verbindung!");
		}
		// Statement erstellen
		Statement stmt = con.createStatement();

		// SQL-Abfrage ausführen (richtiges Tabellennamen verwenden)
		ResultSet rs = stmt.executeQuery("SELECT * FROM books");

		// Ergebnisse durchgehen und ausgeben
		while (rs.next()) {
			System.out.print(rs.getString("title"));
			System.out.print(" ");
			System.out.print(rs.getString("number_of_pages"));
			System.out.println();
		}

		// Verbindung schließen
		con.close();

	}

}
